Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.util.socket
Class RemotingKeyManager

    java.lang.Object
      org.jboss.remoting.util.socket.RemotingKeyManager

All Implemented Interfaces:
  javax.net.ssl.KeyManager, javax.net.ssl.X509KeyManager

    public class RemotingKeyManager

extends java.lang.Object
implements javax.net.ssl.X509KeyManager

Author:
  Tom Elrod

Constructor Summary
`RemotingKeyManager(javax.net.ssl.X509KeyManager x509KeyManager, java.lang.String alias)`

Method Summary
`java.lang.String` | `chooseClientAlias(java.lang.String[] strings, java.security.Principal[] principals, java.net.Socket socket)`
`java.lang.String` | `chooseServerAlias(java.lang.String string, java.security.Principal[] principals, java.net.Socket socket)`
`java.security.cert.X509Certificate[]` | `getCertificateChain(java.lang.String string)`
`java.lang.String[]` | `getClientAliases(java.lang.String string, java.security.Principal[] principals)`
`java.security.PrivateKey` | `getPrivateKey(java.lang.String string)`
`java.lang.String[]` | `getServerAliases(java.lang.String string, java.security.Principal[] principals)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotingKeyManager

    public RemotingKeyManager(javax.net.ssl.X509KeyManager x509KeyManager,
                              java.lang.String alias)

Method Detail

### getPrivateKey

    public java.security.PrivateKey getPrivateKey(java.lang.String string)

  Specified by:
    `getPrivateKey` in interface `javax.net.ssl.X509KeyManager`

### getCertificateChain

    public java.security.cert.X509Certificate[] getCertificateChain(java.lang.String string)

  Specified by:
    `getCertificateChain` in interface `javax.net.ssl.X509KeyManager`

### getClientAliases

    public java.lang.String[] getClientAliases(java.lang.String string,
                                               java.security.Principal[] principals)

  Specified by:
    `getClientAliases` in interface `javax.net.ssl.X509KeyManager`

### getServerAliases

    public java.lang.String[] getServerAliases(java.lang.String string,
                                               java.security.Principal[] principals)

  Specified by:
    `getServerAliases` in interface `javax.net.ssl.X509KeyManager`

### chooseServerAlias

    public java.lang.String chooseServerAlias(java.lang.String string,
                                              java.security.Principal[] principals,
                                              java.net.Socket socket)

  Specified by:
    `chooseServerAlias` in interface `javax.net.ssl.X509KeyManager`

### chooseClientAlias

    public java.lang.String chooseClientAlias(java.lang.String[] strings,
                                              java.security.Principal[] principals,
                                              java.net.Socket socket)

  Specified by:
    `chooseClientAlias` in interface `javax.net.ssl.X509KeyManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.